Incidents
Alle Operationen rund um Incidents.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Incident | incident |
32 | — | incident_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/incidents |
Create incident | Create a new incident in the active tenant. |
DELETE |
/v1/incidents/{id} |
Delete incident | Soft delete entity. |
GET |
/v1/incidents/{id} |
Get incident by id | Fetch a single incident. |
GET |
/v1/incidents/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/incidents/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/incidents/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/incidents |
List incidents | List incidents for the active tenant. |
PATCH |
/v1/incidents/{id} |
Patch incident | JSON Merge Patch update. |
POST |
/v1/incidents/{id}/acknowledge |
POST /v1/incidents/{id}/acknowledge | CodeMeta OS API endpoint. |
POST |
/v1/incidents/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/incidents/bulk-action |
POST /v1/incidents/bulk-action | CodeMeta OS API endpoint. |
POST |
/v1/incidents/intake |
POST /v1/incidents/intake | CodeMeta OS API endpoint. |
POST |
/v1/incidents/{id}/resolve |
POST /v1/incidents/{id}/resolve | CodeMeta OS API endpoint. |
POST |
/v1/incidents/{id}/silence |
POST /v1/incidents/{id}/silence | CodeMeta OS API endpoint. |
POST |
/v1/incidents/{id}/transition |
POST /v1/incidents/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/incidents/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
POST |
/v1/incidents/{id}/unsilence |
POST /v1/incidents/{id}/unsilence | CodeMeta OS API endpoint. |
PUT |
/v1/incidents/{id} |
Replace incident | Full replace with optimistic locking. |